Skip to content

Get external prescription

Request

Returns a single External Prescription by its unique identifier.

Security
bearer
Path
siteIdnumberrequired

Site identifier

externalPrescriptionIdstringrequired

External Prescription unique identifier (UUID)

curl -i -X GET \
  'https://docs.axiomera.com/_mock/apis/animal-health/openapi/site/{siteId}/ahds/v1/external-prescription/{externalPrescriptionId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

External Prescription found

Bodyapplication/json
animalIdstringrequired

Reference to the animal for which the prescription was written.

Example:"123e4567-e89b-12d3-a456-426614174000"
consultIdstring or nullrequired

Reference to the consult/visit associated with this prescription.

Example:"123e4567-e89b-12d3-a456-426614174000"
contactIdstring or nullrequired

Reference to the client/owner contact associated with this prescription.

Example:"123e4567-e89b-12d3-a456-426614174000"
createdAtstring, (date-time)required

Timestamp when the external prescription record was created.

Example:"2025-01-01T00:00:00.000Z"
extensionsobjectrequired

Vendor- or practice-specific extensions.

externalPrescriptionIdstringrequired

Canonical identifier for the external prescription.

Example:"123e4567-e89b-12d3-a456-426614174000"
externalReferencestringrequired

External system reference or identifier for this prescription (e.g., pharmacy system ID).

Example:"123e4567-e89b-12d3-a456-426614174000"
itemsArray of objects(ItemDto)required

List of externally prescribed items.

prescribingVetUserIdstringrequired

Reference to the user (veterinarian) who prescribed the medication.

Example:"123e4567-e89b-12d3-a456-426614174000"
totalPriceobjectrequired

Total price for all items on the prescription.

updatedAtstring, (date-time)required

Timestamp when the external prescription record was last updated.

Example:"2025-01-01T00:00:00.000Z"
prescribedAtstring, (date-time)required

Timestamp when the prescription was written (RFC 3339).

Example:"2025-01-01T00:00:00.000Z"
Response
{ "animalId": "123e4567-e89b-12d3-a456-426614174000", "consultId": "123e4567-e89b-12d3-a456-426614174000", "contactId": "123e4567-e89b-12d3-a456-426614174000", "createdAt": "2025-01-01T00:00:00.000Z", "extensions": {}, "externalPrescriptionId": "123e4567-e89b-12d3-a456-426614174000", "externalReference": "123e4567-e89b-12d3-a456-426614174000", "items": [ { … } ], "prescribingVetUserId": "123e4567-e89b-12d3-a456-426614174000", "totalPrice": {}, "updatedAt": "2025-01-01T00:00:00.000Z", "prescribedAt": "2025-01-01T00:00:00.000Z" }